---@meta

---@class ABP_FireExtinguisher_Foam_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Sphere UStaticMeshComponent
---@field Root UStaticMeshComponent
---@field IncrementTimer FTimerHandle
---@field OverallTimer FTimerHandle
---@field TargetScale FVector
---@field ScaleUpTime float
---@field StartScale FVector
---@field StartRemoveTimer FTimerHandle
---@field DestroyTimer float
---@field StartImpulseDirection FVector
local ABP_FireExtinguisher_Foam_C = {}

function ABP_FireExtinguisher_Foam_C:ReceiveBeginPlay() end
function ABP_FireExtinguisher_Foam_C:ScaleUp() end
function ABP_FireExtinguisher_Foam_C:ClearTimers() end
function ABP_FireExtinguisher_Foam_C:RemoveFoam() end
---@param EntryPoint int32
function ABP_FireExtinguisher_Foam_C:ExecuteUbergraph_BP_FireExtinguisher_Foam(EntryPoint) end


